<?php

namespace Ecoyn\Setup\Steps;

use QUI;
use QUI\Locale;

use function dirname;

/**
 *
 */
class LicenseUpload extends QUI\InstallationWizard\AbstractInstallationWizardStep
{
    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);

        $this->setJavaScriptControl('package/ecoyn/core/bin/backend/controls/Setup/Steps/LicenseUpload');
    }

    public function getTitle(?Locale $Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'setup.licenseUpload.title');
    }

    public function getDescription(?Locale $Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('ecoyn/core', 'setup.licenseUpload.description');
    }

    public function create(): string
    {
        $Engine = QUI::getTemplateManager()->getEngine();

        $Engine->assign([
            'urlImageDir' => URL_OPT_DIR . 'ecoyn/core/bin/setup/'
        ]);

        return $Engine->fetch(dirname(__FILE__) . '/LicenseUpload.html');
    }
}
